1
0
Fork 0

Minor changes to configure script (remove dependencies implied by kannel dependency)

This commit is contained in:
bagyenda 2005-04-25 11:32:09 +00:00
parent 720f81d04f
commit fd898205b3
6 changed files with 38 additions and 158 deletions

View File

@ -11,7 +11,7 @@
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
@SET_MAKE@
srcdir = @srcdir@
top_srcdir = @top_srcdir@

View File

@ -31,9 +31,6 @@
/* Define to 1 if you have the `wap' library (-lwap). */
#undef HAVE_LIBWAP
/* Define to 1 if you have the `xml2' library (-lxml2). */
#undef HAVE_LIBXML2
/* Define to 1 if you have the `localtime_r' function. */
#undef HAVE_LOCALTIME_R

164
mbuni/configure vendored
View File

@ -18973,74 +18973,7 @@ _ACEOF
fi
echo "$as_me:$LINENO: checking for libiconv in -liconv" >&5
echo $ECHO_N "checking for libiconv in -liconv... $ECHO_C" >&6
if test "${ac_cv_lib_iconv_libiconv+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-liconv $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char libiconv ();
int
main ()
{
libiconv ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_iconv_libiconv=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_iconv_libiconv=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_libiconv" >&5
echo "${ECHO_T}$ac_cv_lib_iconv_libiconv" >&6
if test $ac_cv_lib_iconv_libiconv = yes; then
LIBS="$LIBS -liconv"
fi
#AC_CHECK_LIB([iconv], [libiconv], [LIBS="$LIBS -liconv"])
echo "$as_me:$LINENO: checking for pthread_create in -lpthread" >&5
echo $ECHO_N "checking for pthread_create in -lpthread... $ECHO_C" >&6
@ -19115,84 +19048,8 @@ _ACEOF
fi
echo "$as_me:$LINENO: checking for xmlStrcasecmp in -lxml2" >&5
echo $ECHO_N "checking for xmlStrcasecmp in -lxml2... $ECHO_C" >&6
if test "${ac_cv_lib_xml2_xmlStrcasecmp+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-lxml2 $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any gcc2 internal prototype to avoid an error. */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
builtin and then its argument prototype would still apply. */
char xmlStrcasecmp ();
int
main ()
{
xmlStrcasecmp ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
(eval $ac_link) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -z "$ac_c_werror_flag"
|| test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; } &&
{ ac_try='test -s conftest$ac_exeext'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
ac_cv_lib_xml2_xmlStrcasecmp=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_xml2_xmlStrcasecmp=no
fi
rm -f conftest.err conftest.$ac_objext \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
echo "$as_me:$LINENO: result: $ac_cv_lib_xml2_xmlStrcasecmp" >&5
echo "${ECHO_T}$ac_cv_lib_xml2_xmlStrcasecmp" >&6
if test $ac_cv_lib_xml2_xmlStrcasecmp = yes; then
cat >>confdefs.h <<_ACEOF
#define HAVE_LIBXML2 1
_ACEOF
LIBS="-lxml2 $LIBS"
else
{ { echo "$as_me:$LINENO: error: LibXML2 is required" >&5
echo "$as_me: error: LibXML2 is required" >&2;}
{ (exit 1); exit 1; }; }
fi
#AC_CHECK_LIB([xml2], [xmlStrcasecmp], [],
# AC_MSG_ERROR([LibXML2 is required]))
# Checks for header files.
@ -21049,7 +20906,7 @@ else
;;
*)
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy="$PATH:$gwloc/bin:$gwloc"
as_dummy="$gwloc/bin:$gwloc:$PATH"
for as_dir in $as_dummy
do
IFS=$as_save_IFS
@ -22739,3 +22596,16 @@ if test "$no_create" != yes; then
$ac_cs_success || { (exit 1); exit 1; }
fi
cat<<X
License:
Mbuni - Open Source MMS Gateway - http://www.mbuni.org/
Copyright (C) 2003 - 2005, Digital Solutions Ltd. - http://www.dsmagic.com
This program is free software, distributed under the terms of
the GNU General Public License, with a few exceptions granted (see LICENSE)
If you do not agree with the terms of the license, you must abort the
installation process now.
X

View File

@ -25,10 +25,10 @@ AC_PROG_LIBTOOL
# Checks for libraries.
AC_CHECK_LIB([dl], [dlsym])
AC_CHECK_LIB([iconv], [libiconv], [LIBS="$LIBS -liconv"])
#AC_CHECK_LIB([iconv], [libiconv], [LIBS="$LIBS -liconv"])
AC_CHECK_LIB([pthread], [pthread_create])
AC_CHECK_LIB([xml2], [xmlStrcasecmp], [],
AC_MSG_ERROR([LibXML2 is required]))
#AC_CHECK_LIB([xml2], [xmlStrcasecmp], [],
# AC_MSG_ERROR([LibXML2 is required]))
# Checks for header files.
AC_HEADER_DIRENT
@ -97,7 +97,7 @@ if test -d "$withval" ; then
fi
])
AC_PATH_PROG(GW_CONFIG, gw-config, no, [$PATH:$gwloc/bin:$gwloc])
AC_PATH_PROG(GW_CONFIG, gw-config, no, [$gwloc/bin:$gwloc:$PATH])
dnl check for Kannel gw-config
if test "$GW_CONFIG" = "no"; then
found=""
@ -147,3 +147,16 @@ LIBS="-L$srcdir/../mmlib -lmms $LIBS"
AC_CONFIG_FILES([Makefile mmlib/Makefile mmsc/Makefile])
AC_OUTPUT
cat<<X
License:
Mbuni - Open Source MMS Gateway - http://www.mbuni.org/
Copyright (C) 2003 - 2005, Digital Solutions Ltd. - http://www.dsmagic.com
This program is free software, distributed under the terms of
the GNU General Public License, with a few exceptions granted (see LICENSE)
If you do not agree with the terms of the license, you must abort the
installation process now.
X

View File

@ -44,7 +44,7 @@ available_tags=" CXX"
# ### BEGIN LIBTOOL CONFIG
# Libtool was configured on host stitch.ds.co.ug:
# Libtool was configured on host lilo.local:
# Shell to use when invoking shell scripts.
SHELL="/bin/sh"
@ -6630,7 +6630,7 @@ build_old_libs=`case $build_libtool_libs in yes) $echo no;; *) $echo yes;; esac`
# End:
# ### BEGIN LIBTOOL TAG CONFIG: CXX
# Libtool was configured on host stitch.ds.co.ug:
# Libtool was configured on host lilo.local:
# Shell to use when invoking shell scripts.
SHELL="/bin/sh"

View File

@ -526,7 +526,7 @@ static void sendmms_proxy(MmsHTTPClientInfo *h)
debug("proxy.sendinterface", 0, " Client sent us: ");
#if 0
#if 1
mms_msgdump(m,1);
/* octstr_dump(h->body, 0); */
#endif